Loading...
Searching...
No Matches
decode_cxx.h File Reference
JPEG XL library (libjxl) » C++ helpers

C++ header-only helper for decode.h. More...

`#include <jxl/decode.h>`
`#include <jxl/memory_manager.h>`
`#include <memory>`
Include dependency graph for decode_cxx.h:

Go to the source code of this file.

## Classes

struct | JxlDecoderDestroyStruct
| Struct to call JxlDecoderDestroy from the JxlDecoderPtr unique_ptr. More...

## Typedefs

typedef std::unique_ptr< JxlDecoder, JxlDecoderDestroyStruct > | JxlDecoderPtr

## Detailed Description

C++ header-only helper for decode.h.

There's no binary library associated with the header since this is a header only library.